Bug 785457 (Horde_Text_Flowed) - Review Request: php-horde-Horde-Text-Flowed - Horde API for flowed text as per RFC 3676
Summary: Review Request: php-horde-Horde-Text-Flowed - Horde API for flowed text as pe...
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Text_Flowed
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Util
Blocks: Horde_Mime Horde_Mime_Viewer Horde_Text_Filter
TreeView+ depends on / blocked
 
Reported: 2012-01-29 01:58 UTC by Nick Bebout
Modified: 2013-03-21 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 06:59:30 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (9.16 KB, text/plain)
2013-02-06 15:41 UTC, Remi Collet
no flags Details
php-horde-Horde-Text-Flowed-review.txt (6.81 KB, text/plain)
2013-02-06 15:42 UTC, Remi Collet
no flags Details

Description Nick Bebout 2012-01-29 01:58:46 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Text-Flowed.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Text-Flowed-1.0.0-1.fc16.src.rpm
Description: The Horde_Text_Flowed:: class provides common methods for manipulating text using the encoding described in RFC 3676 ('flowed' text).

Comment 2 Shawn Iwinski 2012-07-04 23:21:57 UTC
I will review this package

Comment 3 Shawn Iwinski 2012-07-05 03:33:47 UTC
*** [MUST] Please check the license.  I see LGPLv2 (from source) but I do not see LGPLv2+ (from spec), i.e. "LGPLv2 or later", mentioned anywhere.


*** [SHOULD] It would help readability to group your Build* and Requires* statements together instead of mixing them with each other and your Provides and Conflicts statements


*** [MUST] Your BuildRequires should be
BuildRequires:  php-pear(PEAR) >= 1.7.0
instead of
BuildRequires:  php-pear >= 1:1.4.9-1.2
(this would match what you have in bug 785606 and satisfy this package's package.xml dependency)


*** [MUST] Add "Requires: php-common >= 5.2.0" to satisfy package.xml requirement


*** [SHOULD] phpci results: For completeness (and to prevent any future packaging issues due to PHP package changes) you may wish to require the virtual package "php-pcre".


*** [SHOULD] package.xml lists a dependency of Horde_Util >= 1.0.0 and < 2.0.0.  You already have a require for < 2.0.0.  I'm not sure if it's required, but I like to be verbose so I would suggest adding the >= 1.0.0 require even though it appears all packages in Fedora satisfy this requirement already.


*** [SHOULD] Please consider adding a note for optional dependencies "Horde_Test" and "PHPUnit (perhaps in %description for end users) and note what they are needed for.


*** [SHOULD; see https://bugzilla.redhat.com/show_bug.cgi?id=817303#c5]
About
   [ -f package2.xml ] || mv package.xml package2.xml
   mv package2.xml %{pear_name}-%{version}/%{name}.xml

This is a old hack (yes it works) to ensure than package v2 is used.

I often use

   # package.xml is version 2.0
   mv package.xml %{pear_name}-%{version}/%{name}.xml

This is not an issue, but makes the spec simpler to read.


*** [MUST] In %files, use %{pear_name} where you can.


*** [SHOULD] It may be beneficial to use "%global pear_channel pear.horde.org" and then use "%{pear_channel}" where you can.

Comment 4 Remi Collet 2012-12-20 14:05:43 UTC
Please update to 2.0.1

Comment 6 Remi Collet 2013-02-06 15:41:05 UTC
Created attachment 694002 [details]
phpci.log

Comment 7 Remi Collet 2013-02-06 15:42:22 UTC
Created attachment 694003 [details]
php-horde-Horde-Text-Flowed-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785457

Comment 8 Remi Collet 2013-02-06 15:43:02 UTC
[!]: License field in the package spec file matches the actual license.
	LGPLv2 (not LGPLv2+)

[!]: Requires correct, justified where necessary.
	php-cre
	php-pear(PEAR) >= 1.7.0

Comment 9 Remi Collet 2013-02-06 15:45:34 UTC
To be consistent, also
BuildRequires:  php-common >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0

Comment 11 Remi Collet 2013-02-07 15:06:57 UTC
< License:        LGPLv2+
---
> License:        LGPLv2

[x]: License field in the package spec file matches the actual license.

> Requires:       php-cre
> Requires:       php-pear(PEAR) >= 1.7.0

[x]: Requires correct, justified where necessary.

> BuildRequires:  php-pear(PEAR) >= 1.7.0
> BuildRequires:  php-common >= 5.3.0


No blocker

=== APPROVED ===

Comment 12 Nick Bebout 2013-02-07 21:43:16 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Text-Flowed
Short Description: Horde API for flowed text as per RFC 3676
Owners: nb remi
Branches: el6 f18
InitialCC:

Comment 13 Gwyn Ciesla 2013-02-08 13:39:14 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-02-16 00:59:41 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18

Comment 15 Fedora Update System 2013-02-16 01:11:06 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6, php-horde-Horde-Serialize-2.0.1-3.el6, php-horde-Horde-Text-Flowed-2.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Text-Flowed-2.0.1-3.el6,php-horde-Horde-Serialize-2.0.1-3.el6,php-horde-Horde-Argv-2.0.4-4.el6,php-horde-Horde-Lock-2.0.1-3.el6,php-horde-Horde-Image-2.0.3-3.el6,php-horde-Horde-Alarm-2.0.3-3.el6

Comment 16 Fedora Update System 2013-02-17 03:32:42 UTC
Package php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-horde-Horde-Alarm-2.0.3-3.fc18 php-horde-Horde-Image-2.0.3-3.fc18 php-horde-Horde-Lock-2.0.1-3.fc18 php-horde-Horde-Text-Flowed-2.0.1-3.fc18 php-horde-Horde-Argv-2.0.4-4.fc18 php-horde-Horde-Serialize-2.0.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2619/php-horde-Horde-Argv-2.0.4-4.fc18,php-horde-Horde-Serialize-2.0.1-3.fc18,php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-02-28 06:59:33 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-03-09 19:16:24 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6, php-horde-Horde-Serialize-2.0.1-3.el6, php-horde-Horde-Text-Flowed-2.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.